<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info</title>
  <link rel="stylesheet" type="text/css" href="gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue">top level</td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">19</td>
            <td class="headerCovTableEntry">60</td>
            <td class="headerCovTableEntryLo">31.7 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-04-07 16:07:38</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="80%" cellpadding=1 cellspacing=1 border=0>

    <tr>
      <td width="50%"><br></td>
      <td width="10%"></td>
      <td width="10%"></td>
      <td width="10%"></td>
      <td width="10%"></td>
      <td width="10%"></td>
    </tr>

    <tr>
      <td class="tableHead">Directory <span class="tableHeadSort"><a href="index.html"><img src="updown.png" width=10 height=14 alt="Sort by name" title="Sort by name" border=0></a></span></td>
      <td class="tableHead" colspan=3>Line Coverage <span class="tableHeadSort"><a href="index-sort-l.html"><img src="updown.png" width=10 height=14 alt="Sort by line coverage" title="Sort by line coverage" border=0></a></span></td>
      <td class="tableHead" colspan=2>Functions <span class="tableHeadSort"><img src="glass.png" width=10 height=14 alt="Sort by function coverage" title="Sort by function coverage" border=0></span></td>
    </tr>
    <tr>
      <td class="coverFile"><a href="Users/theo.germain/AndroidStudioProjects/remote_controlled_car/lib/core/data/connection/index.html">/Users/theo.germain/AndroidStudioProjects/remote_controlled_car/lib/core/data/connection</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 26</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="car_control/domain/models/index.html">car_control/domain/models</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 5</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="flash_led/data/datasources/index.html">flash_led/data/datasources</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="amber.png" width=83 height=10 alt="83.3%"><img src="snow.png" width=17 height=10 alt="83.3%"></td></tr></table>
      </td>
      <td class="coverPerMed">83.3&nbsp;%</td>
      <td class="coverNumMed">5 / 6</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="flash_led/domain/usecases/index.html">flash_led/domain/usecases</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="ruby.png" width=67 height=10 alt="66.7%"><img src="snow.png" width=33 height=10 alt="66.7%"></td></tr></table>
      </td>
      <td class="coverPerLo">66.7&nbsp;%</td>
      <td class="coverNumLo">2 / 3</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="camera_stream/domain/usecases/index.html">camera_stream/domain/usecases</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="ruby.png" width=67 height=10 alt="66.7%"><img src="snow.png" width=33 height=10 alt="66.7%"></td></tr></table>
      </td>
      <td class="coverPerLo">66.7&nbsp;%</td>
      <td class="coverNumLo">2 / 3</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="car_control/domain/usecases/index.html">car_control/domain/usecases</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="ruby.png" width=67 height=10 alt="66.7%"><img src="snow.png" width=33 height=10 alt="66.7%"></td></tr></table>
      </td>
      <td class="coverPerLo">66.7&nbsp;%</td>
      <td class="coverNumLo">2 / 3</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="car_control/data/models/index.html">car_control/data/models</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="ruby.png" width=33 height=10 alt="33.3%"><img src="snow.png" width=67 height=10 alt="33.3%"></td></tr></table>
      </td>
      <td class="coverPerLo">33.3&nbsp;%</td>
      <td class="coverNumLo">2 / 6</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="camera_stream/data/repositories/index.html">camera_stream/data/repositories</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="amber.png" width=75 height=10 alt="75.0%"><img src="snow.png" width=25 height=10 alt="75.0%"></td></tr></table>
      </td>
      <td class="coverPerMed">75.0&nbsp;%</td>
      <td class="coverNumMed">3 / 4</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="flash_led/data/repositories/index.html">flash_led/data/repositories</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="amber.png" width=75 height=10 alt="75.0%"><img src="snow.png" width=25 height=10 alt="75.0%"></td></tr></table>
      </td>
      <td class="coverPerMed">75.0&nbsp;%</td>
      <td class="coverNumMed">3 / 4</td>
      <td class="coverPerHi">-</td>
      <td class="coverNumHi">0 / 0</td>
    </tr>
  </table>
  </center>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php">LCOV version 1.15</a></td></tr>
  </table>
  <br>

</body>
</html>
